package subscriberepository

import "legalgo-BE-go/database"

type SubsAccs struct {
	DB *database.DB
}

type SubsIntf interface {
	Create(string) (string, error)
	GetByID(string) (database.Subscribe, error)
	UpdateSubscribeStatus(database.Subscribe) error
}

func New(db *database.DB) SubsIntf {
	return &SubsAccs{db}
}
